<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.SysAreaMapper">

    <resultMap id="BaseResultMap" type="com.ruoyi.system.domain.SysArea">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="parentId" column="parent_id" jdbcType="VARCHAR"/>
            <result property="areaLevel" column="area_level" jdbcType="TINYINT"/>
            <result property="name" column="name" jdbcType="VARCHAR"/>
            <result property="areaCode" column="area_code" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,parent_id,area_level,
        name,area_code
    </sql>
</mapper>
